<?php
@session_start();
$vg_login=$_SESSION["usuario"];
if($vg_login<>""){}
else
{echo "<script>";
 echo "window.location='../index.php';";
 echo "</script>";
}	
include "../valida_permisos.php";
$vg_programa = F_programa();
include "../seguridad.php";
$sql_entrada= mysqli_query($conseg,"select login,nombre,perfil,programa,cedula,pais from permiso     
					  where login='".trim($vg_login)."'  and programa=".$vg_programa."");
while($datos= mysqli_fetch_row($sql_entrada))
	  { $vg_nombre=$datos[1];
		$vg_perfil=$datos[2];				
	  } 

//permisos a formularios
$modulo="Seguridad";
$permisos=validar_permiso($vg_login,$modulo,$vg_perfil,$vg_programa);
include "../permisos.php";
$valpermiso=F_permiso($permisos);

if($valpermiso[0]==1)
  {
	

header("Content-type: application/vnd.ms-excel; name='excel'");
header("Content-Disposition: filename=ListadoUsuarios.xls");
header("Pragma: no-cache");
header("Expires: 0");

$contar=0;
 include "../seguridad.php";
	echo "<table  border='1' bordercolor='#FFfff' cellpadding='0' cellspacing='0' class='table table-hover' style='width:800px;'>";
	echo "<tr  >";
	echo "<td bgcolor='#1C2023'><center><font color='#FFFFFF'>Login</font></center></td>";
	echo "<td bgcolor='#1C2023'><center><font color='#FFFFFF'>Nombre</font></center></td>";
	echo "<td bgcolor='#1C2023'><center><font color='#FFFFFF'>Apellido</font></center></td>";
	echo "<td bgcolor='#1C2023'><center><font color='#FFFFFF'>Documento</font></center></td>";
	echo "<td bgcolor='#1C2023'><center><font color='#FFFFFF'>Cargo</font></center></td>";
	echo "<td bgcolor='#1C2023'><center><font color='#FFFFFF'>Email</font></center></td>";
	echo "<td bgcolor='#1C2023'><center><font color='#FFFFFF'>Estado</font></center></td>";
	echo "<td bgcolor='#1C2023'><center><font color='#FFFFFF'>Perfil</font></center></td>";
	echo "</tr>";	
	$sql_datosre=mysqli_query($conseg,"SELECT login,nombre,apellido,documento,cargo,email,estado
							  from usuario
							  order by apellido asc");
	$c=1; 
	while($datos= mysqli_fetch_row($sql_datosre))//01
		{   
		   $id=$datos[0];
		   $nombre=$datos[1];
		   $apellido=$datos[2];
		   $documento=$datos[3];   
		   $cargo=$datos[4];   
		   $email=$datos[5];   
		   $estado=$datos[6];   
		   if($estado=='A'){$estado='Activo';}
		   if($estado=='I'){$estado='Inactivo';}
		
		
		 $sql_contar = mysqli_query($conseg,"SELECT count(*) FROM perfil_usuario
				 		              		 where login='".$id."'");
		 while($datos= mysqli_fetch_row($sql_contar)){  $contar=$datos[0];}					
		 if($contar>=1)
		  {
			 $sql_contar = mysqli_query($conseg,"SELECT perfil FROM perfil_usuario
										   	where login='".$id."'");
			 while($datos= mysqli_fetch_row($sql_contar)){ $perfil=$datos[0];}			
			 
			 $sql_contar = mysqli_query($conseg,"SELECT nombre FROM perfil
										   	where id='".$perfil."'");
			 while($datos= mysqli_fetch_row($sql_contar)){ $nperfil=$datos[0];}				
		  }
		  else
		   {$nperfil="";}

				 
		    if($c%2==0){$color="#EAEAEA";}
			else {$color="#BFBFBF";}
			echo " <tr >";
					 echo "<td bgcolor=$color>".$id."</td>";
					 echo "<td bgcolor=$color>".$nombre."</td>";
					 echo "<td bgcolor=$color>".$apellido."</td>";
					 echo "<td bgcolor=$color>".$documento."</td>";
					 echo "<td bgcolor=$color>".$cargo."</td>";
					 echo "<td bgcolor=$color>".$email."</td>";
					 echo "<td bgcolor=$color>".$estado."</td>";
					 echo "<td bgcolor=$color>".$nperfil."</td>";
					 echo "</tr>";
				$c=$c+1;
		 }
	 echo "</table>"; 

  }
else
{echo "<script>";
echo "window.location='../erroracceso.php?formulario=Parametros_Usuarios';";
echo "</script>";
}


	

?>
